org.apache.lucene.queries.function.docvalues

## Class DocTermsIndexDocValues.DocTermsIndexException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.queries.function.docvalues.DocTermsIndexDocValues.DocTermsIndexException

All Implemented Interfaces:
  Serializable

Enclosing class:
  DocTermsIndexDocValues

    public static final class DocTermsIndexDocValues.DocTermsIndexException
    extends RuntimeException

Custom Exception to be thrown when the DocTermsIndex for a field cannot be generated

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DocTermsIndexException(String fieldName, RuntimeException cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocTermsIndexException

    public DocTermsIndexException(String fieldName,
                                  RuntimeException cause)